Skip to content

Get campaign schedules.​

GET
/backend/v1/campaign-schedules

Retrieves a list of campaign schedules that match the given criteria,
with the option to adjust the limit for more results.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

campaignId

If specified, will only return schedules that run the specified campaign.

limit

Limits the amount of returned objects. Max 100, min 1.

Type
integer
Default
10

Responses​

Successful Response

application/json
JSON
{
  
"next": "string",
  
"prev": "string",
  
"schedules": [
  
  
{
  
  
  
"campaignId": "string",
  
  
  
"count": 0,
  
  
  
"createdAt": "string",
  
  
  
"endAt": "string",
  
  
  
"error": "string",
  
  
  
"frequency": "string",
  
  
  
"id": "string",
  
  
  
"interval": 0,
  
  
  
"name": "string",
  
  
  
"providerIds": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"remediationSettings": {
  
  
  
  
"autorun": false
  
  
  
},
  
  
  
"startAt": "string"
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: